---
tags: work
title: UI Engineer at Oncue
description: (Aug 2020 - Present) React, component systems, accessibility and more!
date: 2021-04-19
pinned: true
---

Before and especially after the effects that COVID-19 had on people and their families across the country [Oncue](https://www.oncue.co/) has been at the center of supporting small businesses. The layoffs that came crom rapidly shifting business needs as corporations tried to survive meant that the people now let go also needed to survive. What better way than to start your very own moving company starting with a truck and your cell phone.

Oncue has been supporting small moving companies through innovative simple to use technologies. Scheduling moves and multiple trucks, movers time,estimates, driving distances and inventory a little tech help can go a long way.

## Design System

From `git init` I've worked with the talented team at Oncue to build out a design system of react components that are accessible, automation tested, mobile-first and ready for both current and future projects to consume. It was really exciting taking the lead on a project that is now widely being adopted within the company in such a short time-span.

![Design System in Storybook](/img/content/oncue-ds.jpg)

I truly believe this project has changed the way Oncue will build software forever moving forward for the better.

